{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.IBIZORDER"
  },
  "caption" : "测试界面逻辑（表格数据加载）",
  "codeName" : "IBIZOrderTestLogicCustomView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderTestLogicCustomView.json",
  "name" : "IBIZOrderTestLogicCustomView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSControls" : [ {
    "aggMode" : "NONE",
    "codeName" : "Main",
    "columnEnableLink" : 2,
    "controlType" : "GRID",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSGRIDS/Main.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch"
    },
    "groupMode" : "NONE",
    "logicName" : "主表格",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSAppViewLogics" : [ {
      "logicTrigger" : "CUSTOM",
      "logicType" : "APPVIEWUIACTION",
      "name" : "grid_updatedate_click",
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "表格界面_编辑操作"
      }
    } ],
    "getPSAppViewUIActions" : [ {
      "name" : "表格界面_编辑操作",
      "getPSUIAction" : {
        "modelref" : true,
        "id" : "Edit"
      },
      "uIActionTarget" : "SINGLEKEY",
      "xDataControlName" : "grid"
    } ],
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据表格处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRID"
    },
    "getPSDEDataImport" : {
      "modelref" : true,
      "id" : "Import"
    },
    "getPSDEGridColumns" : [ {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.ORDERUID"
      },
      "caption" : "订单编号",
      "codeName" : "orderuid",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "orderuid",
      "excelCaption" : "订单编号",
      "name" : "orderuid",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "ORDERUID",
        "codeName" : "OrderUID"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.IBIZORDERNAME"
      },
      "caption" : "订单名称",
      "codeName" : "IBIZordername",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "ibizordername",
      "excelCaption" : "订单名称",
      "name" : "IBIZordername",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.ORDERSTATE"
      },
      "caption" : "订单状态",
      "codeName" : "orderstate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "orderstate",
      "excelCaption" : "订单状态",
      "name" : "orderstate",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTATE.json"
      },
      "getPSAppDEField" : {
        "name" : "ORDERSTATE",
        "codeName" : "OrderState"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.ORDERTYPE"
      },
      "caption" : "订单类型",
      "codeName" : "ordertype",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "ordertype",
      "excelCaption" : "订单类型",
      "name" : "ordertype",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/DYNAORDERTYPE.json"
      },
      "getPSAppDEField" : {
        "name" : "ORDERTYPE",
        "codeName" : "OrderType"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.ORDERTIME"
      },
      "caption" : "订单时间",
      "codeName" : "ordertime",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "ordertime",
      "excelCaption" : "订单时间",
      "name" : "ordertime",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "ORDERTIME",
        "codeName" : "OrderTime"
      },
      "valueFormat" : "YYYY-MM-DD",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.UPDATEDATE"
      },
      "caption" : "更新时间",
      "codeName" : "updatedate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updatedate",
      "excelCaption" : "更新时间",
      "name" : "updatedate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "getPSDEUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT"
        },
        "caption" : "编辑",
        "codeName" : "Edit",
        "fullCodeName" : "Edit",
        "name" : "表格界面_编辑操作",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "predefinedType" : "GRIDVIEW_EDITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Edit",
        "uIActionType" : "DEUIACTION"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "getCapPSLanguageRes" : {
        "lanResTag" : "DEF.LNAME.MEMO"
      },
      "caption" : "备注",
      "codeName" : "memo",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "memo",
      "excelCaption" : "备注",
      "name" : "memo",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "MEMO",
        "codeName" : "Memo"
      },
      "width" : 1,
      "widthUnit" : "STAR",
      "enableSort" : true
    } ],
    "getPSDEGridDataItems" : [ {
      "dataType" : 25,
      "name" : "orderuid",
      "getPSAppDEField" : {
        "name" : "ORDERUID",
        "codeName" : "OrderUID"
      }
    }, {
      "dataType" : 25,
      "name" : "ibizordername",
      "getPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      }
    }, {
      "dataType" : 25,
      "name" : "orderstate",
      "getPSAppDEField" : {
        "name" : "ORDERSTATE",
        "codeName" : "OrderState"
      }
    }, {
      "dataType" : 25,
      "name" : "ordertype",
      "getPSAppDEField" : {
        "name" : "ORDERTYPE",
        "codeName" : "OrderType"
      }
    }, {
      "format" : "YYYY-MM-DD",
      "dataType" : 5,
      "name" : "ordertime",
      "getPSAppDEField" : {
        "name" : "ORDERTIME",
        "codeName" : "OrderTime"
      }
    }, {
      "format" : "YYYY-MM-DD HH:mm:ss",
      "dataType" : 5,
      "name" : "updatedate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "dataType" : 25,
      "name" : "memo",
      "getPSAppDEField" : {
        "name" : "MEMO",
        "codeName" : "Memo"
      }
    }, {
      "dataType" : 25,
      "name" : "ibizorderid",
      "getPSAppDEField" : {
        "name" : "IBIZORDERID",
        "codeName" : "IBIZOrderId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "IBIZORDERID",
        "codeName" : "IBIZOrderId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdataaccaction",
      "getPSAppDEField" : {
        "name" : "IBIZORDERID",
        "codeName" : "IBIZOrderId"
      },
      "dataAccessAction" : true
    }, {
      "dataType" : 25,
      "name" : "ibizcustomerid",
      "getPSAppDEField" : {
        "name" : "IBIZCUSTOMERID",
        "codeName" : "IBIZCustomerId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      }
    }, {
      "dataType" : 25,
      "name" : "wfstep",
      "getPSAppDEField" : {
        "name" : "WFSTEP",
        "codeName" : "WFStep"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmstag"
    } ],
    "getPSDEGridEditItems" : [ {
      "caption" : "订单标识",
      "codeName" : "srfkey",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "IBIZORDERID",
        "codeName" : "IBIZOrderId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "srfkey"
      },
      "allowEmpty" : true
    } ],
    "pagingSize" : 10,
    "getRemovePSControlAction" : {
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
      }
    },
    "sortMode" : "REMOTE",
    "hasWFDataItems" : false,
    "enableColFilter" : false,
    "enableCustomized" : true,
    "enableGroup" : false,
    "enablePagingBar" : true,
    "enableRowEdit" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "forceFit" : true,
    "hideHeader" : false,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "grid",
    "modelid" : "9222eaa963655f7f76cff5972d695cbf",
    "modeltype" : "PSDEGRID"
  }, {
    "codeName" : "UIPART_0013",
    "controlType" : "SEARCHFORM",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSSEARCHFORMS/UIPART_0013.json",
    "logicName" : "搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "n_ibizordername_like",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      }
    }, {
      "id" : "n_orderstate_eq",
      "dataType" : 25,
      "createDV" : "10",
      "getPSAppDEField" : {
        "name" : "ORDERSTATE",
        "codeName" : "OrderState"
      }
    }, {
      "id" : "n_ordertime_gt",
      "dataType" : 5,
      "getPSAppDEField" : {
        "name" : "ORDERTIME",
        "codeName" : "OrderTime"
      }
    }, {
      "id" : "n_ordertime_lt",
      "dataType" : 5,
      "createDVT" : "CURTIME",
      "getPSAppDEField" : {
        "name" : "ORDERTIME",
        "codeName" : "OrderTime"
      }
    } ],
    "getPSDEFormPages" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "CONTROL.DEFORM.IBIZORDER.UIPART_0013.FORMPAGE.FORMPAGE1"
      },
      "caption" : "常规",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.IBIZORDER.UIPART_0013.FORMITEM.N_IBIZORDERNAME_LIKE"
        },
        "caption" : "订单名称",
        "codeName" : "n_ibizordername_like",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "n_ibizordername_like",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "IBIZORDERNAME",
          "codeName" : "IBIZOrderName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "editorWidth" : 100.0,
          "name" : "n_ibizordername_like"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.IBIZORDER.UIPART_0013.FORMITEM.N_ORDERSTATE_EQ"
        },
        "caption" : "订单状态",
        "codeName" : "n_orderstate_eq",
        "createDV" : "10",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "n_orderstate_eq",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "ORDERSTATE",
          "codeName" : "OrderState"
        },
        "getPSEditor" : {
          "editorType" : "DROPDOWNLIST",
          "editorWidth" : 100.0,
          "name" : "n_orderstate_eq",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTATE.json"
          },
          "singleSelect" : true
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "allowEmpty" : true,
        "needCodeListConfig" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.IBIZORDER.UIPART_0013.FORMITEM.N_ORDERTIME_GT"
        },
        "caption" : "订单时间从",
        "codeName" : "n_ordertime_gt",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "n_ordertime_gt",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "ORDERTIME",
          "codeName" : "OrderTime"
        },
        "getPSEditor" : {
          "dateTimeFormat" : "YYYY-MM-DD",
          "editorParams" : {
            "TIMEFMT" : "YYYY-MM-DD"
          },
          "editorType" : "DATEPICKEREX_NOTIME",
          "editorWidth" : 100.0,
          "name" : "n_ordertime_gt"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "valueFormat" : "YYYY-MM-DD",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.IBIZORDER.UIPART_0013.FORMITEM.N_ORDERTIME_LT"
        },
        "caption" : "到",
        "codeName" : "n_ordertime_lt",
        "createDVT" : "CURTIME",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 24,
        "name" : "n_ordertime_lt",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "ORDERTIME",
          "codeName" : "OrderTime"
        },
        "getPSEditor" : {
          "dateTimeFormat" : "YYYY-MM-DD",
          "editorParams" : {
            "TIMEFMT" : "YYYY-MM-DD"
          },
          "editorType" : "DATEPICKEREX_NOTIME",
          "editorWidth" : 100.0,
          "name" : "n_ordertime_lt"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "valueFormat" : "YYYY-MM-DD",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "dir" : "row",
        "layout" : "FLEX",
        "vAlign" : "center"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "52f117fcd555f8ffa5c8e106d6de6a06",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  } ],
  "getPSDEViewCodeName" : "TestLogicCustomView",
  "getPSDEViewId" : "B15BBCE8-40F4-427E-9551-6292DC318CB4",
  "getPSViewLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "view_pagecaption"
    } ],
    "codeName" : "Usr1104360833",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "TABLE_24COL",
    "logicName" : "测试界面逻辑（表格数据加载）布局面板",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRootPSPanelItems" : [ {
      "contentHeight" : 100.0,
      "height" : 100.0,
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "page_container",
      "getPSLayout" : {
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "height" : 100,
        "heightMode" : "PERCENTAGE",
        "layout" : "TABLE_24COL"
      },
      "getPSPanelItems" : [ {
        "caption" : "栅格容器",
        "contentHeight" : 80.0,
        "height" : 80.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_grid1",
        "getPSLayout" : {
          "layout" : "SIMPLEFLEX"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "height" : 80,
          "heightMode" : "PX",
          "layout" : "TABLE_24COL"
        },
        "getPSPanelItems" : [ {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container2",
          "getPSLayout" : {
            "layout" : "SIMPLEFLEX"
          },
          "getPSLayoutPos" : {
            "grow" : 3,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "页面标题",
            "itemStyle" : "DEFAULT",
            "itemType" : "FIELD",
            "name" : "view_pagecaption",
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "view_pagecaption",
              "predefinedType" : "VIEW_PAGECAPTION",
              "renderMode" : "HEADING1",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "SIMPLEFLEX"
            },
            "hidden" : false,
            "showCaption" : false
          } ]
        }, {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container3",
          "getPSLayout" : {
            "layout" : "SIMPLEFLEX"
          },
          "getPSLayoutPos" : {
            "grow" : 9,
            "layout" : "SIMPLEFLEX"
          }
        } ]
      }, {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container1",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "getPSPanelItems" : [ {
          "caption" : "滚动条容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container_scroll1",
          "getPSLayout" : {
            "layout" : "BORDER"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "面板容器",
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container_scroll_main1",
            "getPSLayout" : {
              "layout" : "BORDER"
            },
            "getPSLayoutPos" : {
              "layout" : "BORDER",
              "layoutPos" : "CENTER"
            },
            "getPSPanelItems" : [ {
              "caption" : "表格",
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "grid",
              "getPSLayoutPos" : {
                "layout" : "BORDER",
                "layoutPos" : "CENTER"
              },
              "showCaption" : true
            } ],
            "showCaption" : true
          }, {
            "caption" : "面板容器",
            "contentHeight" : 80.0,
            "height" : 80.0,
            "itemStyle" : "DEFAULT",
            "itemType" : "CONTAINER",
            "name" : "container_scroll_header1",
            "getPSLayout" : {
              "layout" : "BORDER"
            },
            "getPSLayoutPos" : {
              "height" : 80,
              "heightMode" : "PX",
              "layout" : "BORDER",
              "layoutPos" : "NORTH"
            },
            "getPSPanelItems" : [ {
              "caption" : "搜索表单",
              "itemStyle" : "DEFAULT",
              "itemType" : "CTRLPOS",
              "name" : "searchform",
              "getPSLayoutPos" : {
                "layout" : "BORDER",
                "layoutPos" : "CENTER"
              },
              "showCaption" : true
            } ],
            "showCaption" : true
          } ]
        } ]
      } ]
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "modelid" : "33322857-6DB5-4235-89D9-C69BED6362EF",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL"
  },
  "title" : "测试界面逻辑（表格数据加载）",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECUSTOMVIEW",
  "enableDP" : true,
  "modelid" : "EAAC5BB9-2748-487E-933C-C76416BD32F7",
  "modeltype" : "PSAPPDEVIEW"
}